{****************************************************************************

                      Copyright (c) 1996 by Florian Klaempfl

 ****************************************************************************}

{
  this units contains special support for the GDB
}

unit gdb;


  interface

    uses
       cobjects,aasm;

    {stab constants }
    const
       N_GSYM = $20;
       { initialized const }
       N_STSYM = 38;
       { non initialized variable}
       N_LCSYM = 40;
       { function or const }
       N_Function = $22;
       N_TextLine = $44;
       N_DataLine = $46;
       N_Symbol = $80;
       N_LSYM = $80;
       N_PSYM = 160;
       N_SourceFile = $64;
       N_IncludeFile = $84;
       { N_EndIncludeFile = $a2; not useful ? }

    type
       pai_stabs = ^tai_stabs;

       { generates a common label }
       tai_stabs = object(tai)
          str : pchar;
          constructor init(_str : pchar);
       end;

  implementation

    constructor tai_stabs.init(_str : pchar);

      begin
         typ:=ait_stabs;
         str:=_str;
      end;

end.

